libzypp 17.37.10

zypp::GroupInfo Struct Reference

## Public Types
enum | GroupType { None , Kernels , RelatedBinaries , Sources }

## Public Member Functions
| GroupInfo (const GroupType type=None, std::string flav="")

## Public Attributes
enum zypp::GroupInfo::GroupType | groupType
ArchToEditionMap | archToEdMap
std::string | groupFlavour

## Detailed Description

Definition at line 43 of file PurgeKernels.cc.

## Member Enumeration Documentation

## ◆ GroupType

enum zypp::GroupInfo::GroupType

Enumerator
None |
Kernels |
RelatedBinaries |
Sources |

Definition at line 45 of file PurgeKernels.cc.

## Constructor & Destructor Documentation

## ◆ GroupInfo()

zypp::GroupInfo::GroupInfo | ( | const GroupType | type = None,
|  | std::string | flav = "" )
| inline

Definition at line 52 of file PurgeKernels.cc.

## Member Data Documentation

## ◆ groupType

enum zypp::GroupInfo::GroupType zypp::GroupInfo::groupType

## ◆ archToEdMap

ArchToEditionMap zypp::GroupInfo::archToEdMap

Definition at line 54 of file PurgeKernels.cc.

## ◆ groupFlavour

std::string zypp::GroupInfo::groupFlavour

Definition at line 55 of file PurgeKernels.cc.

The documentation for this struct was generated from the following file:

- zypp/PurgeKernels.cc